The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Вышел squid-2.6.STABLE3

20.08.2006 17:33

В релизе squid-2.6.STABLE3 вновь налажена работа "delay pools", которые были неработоспособны в первых двух выпусках squid-2.6.

Также можно отметить следующие изменения:

  • устранено несколько утечек памяти и ошибок приводящих к падению процесса;
  • в log_format добавлены новые теги "%ue" и "%us" для отображения идентификатора пользователя в external acl или ssl;
  • ntlm fake_auth научился работать с именами пользователей содержащих не asci символы;
  • проведена работа по оптимизации кода, благодаря чему немного уменьшилась нагрузка на CPU.

    1. Главная ссылка к новости (http://www.squid-cache.org/Ver...)
    2. Squid-2.6-STABLE3 changes
    Лицензия: CC-BY
    Тип: К сведению
    Короткая ссылка: https://opennet.ru/8146-squid
    Ключевые слова: squid
    При перепечатке указание ссылки на opennet.ru обязательно


    Обсуждение (16) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.2, pavlinux (??), 19:43, 20/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А там есть утиль для конфертации конфига 2.5 -> 2.6
     
  • 1.3, Аноним (-), 20:03, 20/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Так 2.6 с конфигом от 2.5.14 исправно работает под FreeBSD 6.1 !!! Лично проверял!!!
     
  • 1.4, Аноним (-), 04:10, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    не все работает...
    например настроенный на прозрачное проксирование не работает...
     
     
  • 2.6, CrazyF (?), 09:06, 21/08/2006 [^] [^^] [^^^] [ответить]  
  • +/
    >не все работает...
    >например настроенный на прозрачное проксирование не работает...
    Поменять в конфиге 2 строчки несложно
     

  • 1.5, root (??), 08:46, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    кто-нибудь сталкивался с траблами при прозрачном проксировании через wccp2 ? не отправляются письма через mail.ru
     
  • 1.7, Terteron (?), 09:46, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Для 2.6 лучше конфиг заново сделать!
     
  • 1.8, Terteron (?), 09:47, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    К слову, вот список изменений после 3-ки 8-)
    http://www.squid-cache.org/Versions/v2/2.6/changesets/
    Шустро народ работает.
     
  • 1.9, WAG (?), 10:23, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    приведи строчку к виду:
    acl QWERTY dstdom_regex cgi-bin \? (dstdom вместо dsturl)
    no_cache deny QWERTY

    Но поможет если заворачиваешь траффик на проксю PF'ом.
    Меняй на ipfw. У меня такая херь под 6.1 фрей была.
    Теперь форвадит ipfw и все нормально работает.

     
  • 1.10, sgy (??), 11:02, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Невозможность писать письма на Mail.ru через WCCP2 ?
    Это проблема cisco. Когда пакет полный (1500 байт ) и стоит флаг не фрагментировать сisco не может к пакету прибавить gre заголовок и молча дропает пакет. Выход установить mtu на внутреннем интерфейсе cisco mtu < 1500 (1400) и всё должно заработать.
     
     
  • 2.15, L.Torvalds (?), 16:52, 21/08/2006 [^] [^^] [^^^] [ответить]  
  • +/
    Админов таких кошек официально зовут black hole admin :)
    Ну нельзя в таких случаях молча пакеты дропать!
     

  • 1.11, Аноним (-), 11:36, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А что в этом релизе с делай плами, они уже работают ?
    Потому что в стейбл 2 не работали.
     
  • 1.12, Terteron (?), 12:20, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Работают, ChabgeLog смотри
     
  • 1.13, Аноним (-), 12:39, 21/08/2006 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    подскажите, если прога GUI или веб интерфейс для редактирования squid.conf?
     
     
  • 2.14, asd (??), 13:10, 21/08/2006 [^] [^^] [^^^] [ответить]  
  • +/
    SAMS ( но не все плюшки можно настроить )
     
  • 2.16, edwin (ok), 10:12, 22/08/2006 [^] [^^] [^^^] [ответить]  
  • +/
    > подскажите, если прога GUI или веб интерфейс для редактирования squid.conf?

    webmin

     
     
  • 3.17, аноним (?), 10:49, 22/08/2006 [^] [^^] [^^^] [ответить]  
  • +/
    в вебмине модуль только 2.5*** поддерживает
    но если в модуле убрать проверку версий, то часть опций ностроить можно
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру